
<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Wastage extends MY_Controller {

    function __construct() {
        parent::__construct();
    }

    function index() {
        $this->load->view('settings/header');
        $this->load->view('inventory/wastage_view', null);
        $this->load->view('settings/footer');
    }

    // GET WASTAGE REPORT     HUSSAIN 02/05/2012
    public function getwastagereport() {
        $datefrom = $this->input->post('datefrom');
        $dateto = $this->input->post('dateto');
        $this->load->model('inventory/wastage_model');
        echo $this->wastage_model->getwastagereport($datefrom, $dateto);
    }

    function exportcsv() {
        $file = "wastagereport.csv";
        header("Content-Disposition: attachment; filename=" . urlencode($file));
        header("Content-Type: application/force-download");
        header("Content-Type: application/octet-stream");
        header("Content-Type: application/download");
        header("Content-Description: File Transfer");
        header("Content-type: application/csv");
        header("Pragma: no-cache");
        header("Expires: 0");
        $export = $this->input->post('exportdata');
        $this->load->helper('download');
        force_download($file, $export);
    }

}